#!/bin/bash
xdg-user-dirs-update
f="$(xdg-user-dir DESKTOP)/etap-installer.desktop"
cp -pf /usr/share/applications/etap-installer.desktop $(xdg-user-dir DESKTOP)/
chmod 755 "$f"
dbus-launch gio set "$f" "metadata::trusted" true
dbus-launch gio set -t string "$f" metadata::xfce-exe-checksum $(sha256sum "$f" | awk '{print $1}')

xset s off || true
xset dpms 0 0 0 || true
xset -dpms s off || true
xset s noblank || true
